CineSuite Overview

CineSuite is designed to be an enterprise wide software solution. This is accomplished by creating separate CineSuite applications that perform different functions. By separating the software applications, the flexibility of the CineSuite enterprise is significantly increased. Applications are not required to be running on the same computer, or even in the same building. Communication between the modules is through the Internet standard TCP/IP protocol. TCP/IP communications are virtually boundless. The connections can be made on the same PC, across an Ethernet connection or through the Internet. The various CineSuite applications do not have reside on the same PC or even in the same building or same city.

Below is an illustration showing the complete CineSuite connection scheme. The CineSuite Location Server shown on this illustration allows CineSuite Routers to communicate with each other without them knowing each others IP address. Each CineSuite Router is connected to the CineSuite Location Server and the CineSuite Location Server will then find the correct CineSuite Router and forward any data. This is only necessary if connecting CineSuite Routers together across the Internet or a WAN.

The next illustration shows how the CineNet LSN network is connected to the CineNet Driver and how CineSuite clients communicate with the CineNet Driver. Any number of CineSuite clients can be connected to the CineSuite Router and communicate with the CineNet Driver. Some CineSuite clients can also communicate with each other but most of the CineSuite clients are made to communicate with the CineNet Driver since this application provides most of the data for the CNA automations on the LSN network.

NEXT

Strong International


Copyright

Copyright Information

Information in this document is subject to change without notice. Unauthorized reproduction or distribution of these documents, or any portion of them, without prior written consent of EPRAD, Incorporated, may result in severe civil and criminal penalties and will be prosecuted to the maximum extent possible under the law.

© 1997 - 2000 EPRAD Incorporated. All rights reserved.

NEXT


Getting Started

How to install CineSuite Network Router

How to get the CineSuite Network Router up and running


CineSuite Network Router Installation

CD-ROM Install

Insert the CD-ROM containing the CineSuite Network Router setup software. Run the setup program and follow the instructions on the screen. The setup program will completely install the CineSuite Network Router.

Internet Download Install

After the CineSuite Network Router setup program is downloaded, go to the directory where the setup program was saved. Run the setup program and follow the instructions on the screen. The setup program will completely install the CineSuite Network Router.

NEXT


CineSuite Router Startup

Start the CineSuite Network Router application by selecting the Program/CineSuite/CineSuite Network Router item on the Start menu. When the application is started the first time, the user will be prompted to configure the application with the proper information.

The first piece of information the CineSuite Router needs is a name and CineSuite Location Server connection information. (The CineSuite Location Server connection information is only required if CineSuite routers are to communicate to each other.) Enter the name of the CineSuite Router (this will likely be the name of the theatre facility). Make sure the ‘Register with CineSuite Location Server' box is NOT checked. Click on the ‘Accept' button.

Next, the application will indicate that it cannot find the CineSuite Network Router database. Since this is the first time the application is started, the database does not exist. Click on the ‘Create New' button.

The log window should now have as least two new events logged.

  1. "CineSuite Network Router started"
  2. Waiting for clients on IP Address: LocalHost.

The log window may have other logs if there are more IP addresses available on the computer.

The CineSuite Router is now ready to connect to the CineSuite client applications. When setting up CineSuite client applications for connection to this CineSuite Network Router, the 'Location of Router' can be one of the IP addresses in the log window or it can the be name of the computer the CineSuite Network Router is running on. The name of the computer can be found by selecting the 'Help/About' menu item.

Most of the menu items at this time are disabled. In order to change settings on the CineSuite Router, a user must log on. Log on by selecting the ‘Users/Log On' menu item. Enter ‘admin' (all smalls) in the ‘User Name' field and enter ‘31415' in the ‘Password' field. This will enable all of the menu items.

When the CineSuite Network Router database is created, a single user is added with an access name of ‘admin' and a password of ‘31415'. This password gives full access to the CineSuite Router and all client applications connected to the router. If protection of the data is important, this password should be changed as soon as possible. To change the password, select the ‘Users/Change Password' menu item. Enter the new password twice and press ‘Accept'

Other users can be added by selecting ‘Administrator/Edit Users' menu item. Because access is granted per each client application, it is best to do this later after the client applications that are to be used have registered themselves with the CineSuite Router. Currently the only available client to grant access to is the CineSuite Network Router.

Instead of taking up space on the Windows taskbar, the CineSuite Router places an icon in the systray. Double clicking on the icon will activate the application. (Right clicking on the icon will provide a small menu.) To hide the application, click on the minimize button.

More CineSuite Network Router information


CineSuite Network Router Menus

File
  • Exit - End program. The user is first presented with a message box informing the user of the importance of keeping the program running and allowing the user to cancel the close operation before ending the program
Administrator
  • Router Settings - Displays the CineSuite Network Router Settings window. This is where the name of the router is entered and where CineSuite Location Server connection information is entered.
  • Select Database - Allows the user to select a different CineSuite Network Router database. This should never have to be done except possibly is cases of troubleshooting a technical problem with the application.
  • Compact Database - Reduces the size of the database and speeds up access. This is only beneficial if a large number of database records have been deleted. The database automatically compacts itself every night if the application is running. See also Log Settings.
  • Edit Users - Displays the User Access Setup window. This is where users are added, edited and removed and where user access rights are granted. If the logged on user has remote access and the CineSuite Network Router is connected to the CineSuite Location Server then the user is presented with the Select Network Router to Access window asking which CineSuite Network Router users are to be edited.
Log Window
  • Clear Log Window - Clears all items in the log window. The log window is limited to 1000 log items.
  • Search - Displays the Activity Log Search window. The database log can be searched and results are displayed in the log window. This allows administrators to review old log records should someone have tampered with the database.
  • Settings - Displays the Log Settings window. The log settings determine how the database size is managed. Activity Log records can be deleted based on their age or by the quantity of records in the database.
View Clients
  • On Line Clients - Displays the Active Clients window. This windows shows all the currently connected CineSuite clients.
  • All Registered Clients - Displays the Registered Clients window. This window shows all the CineSuite clients that have connected to the CineSuite Network Router even if they are not currently connected.
Users
  • Log On - Displays the User Log On window. The user enters their user name and password to gain access to the other function of the CineSuite Network Router.
  • Log Off - Logs the user off. Disables all functions of the CineSuite Network Router until a new user logs on.
  • Change PasswordDisplays the Change Password window. Allows the currently logged on user to change their password.
Help
  • Help - Displays the Help system
  • About - Displays the About window. The About window displays information about the CineSuite Network Router including the current version and host computer name.


Activity Log Search

When the user selects the 'Log/Search' menu item, the Activity Log Search window is displayed. The search window allows the user to search the entire activity log database to monitor previous user activity.

To search the database, enter the search criteria in the desired fields. These search items are then added to the basic search string and the database is searched and the results are displayed in the log window. If search values are included in more than one field, all search criteria must be true for the results to be returned.

The search function does not currently support multiple search criteria for a single item. It is not possible to search for index > 100 and index < 125. In order to narrow the search, specify search parameters in other fields.

If more than 1000 records are returned in the search results, the user is presented with a message box asking if more records should be found. This prevents the user from being caught is a search that returns thousands of records.


Change Password

When the user selects the 'Users/Change Password' menu item, the Change Password window is displayed.

Enter the new password in each field. The accept button will be enabled when there is a password in each field.

When the accept button is clicked, the program will make sure the two passwords entered match. If they are different, the user will be asked to enter the passwords again. If they match, the new password will be saved for the user.


Log Settings

When the user selects the 'Log/Settings' menu item, the Log Settings window is displayed. The log settings determine how the database size is managed. Activity Log records can be deleted based on their age or by the quantity of records in the database.

Old log events are deleted from the database when the database is compacted. This keeps the database to a manageable size. Records that are deleted cannot be recovered.

If both check boxes are marked, records are not deleted although the application will still try to compact database every night. The database size will be able to grow until it fills all available disk space (although that would likely take years).

Log Settings

  • Do not delete logged events based on record age - If this box is checked, records are not deleted from the database regardless of when the log event was recorded.
  • Delete logged events older than: (days) - If the above check box is not checked, log events are deleted from the database when the database is compacted. The program uses the computers current date to determine if records in the database are older than the specified number of days.
  • Do not delete logged events based on record count - If this box is checked, records are not deleted from the database regardless of how many records exist in the database.
  • Delete oldest records when record count exceeds - If the above check box is not checked, log events are deleted from the database when the database is compacted. The program determines how many records must be deleted in order to not exceed the maximum specified and deletes the oldest records.


On Line Clients

When the user selects the 'View Clients/On Line Clients' menu item, the Active Clients window is displayed. This window displays all the CineSuite clients currently connected to the CineSuite Network Router.

Active Clients
  • Client Name - This is the name give to the client when the client application was set up.
  • Client ID - This is a unique ID generated by the client the first time the program was run. This is an internal number used by the CineSuite products to communicate with each other.
  • Log On Time - The time the client connected with the CineSuite Network Router.
  • Last Access - The last time any TCP/IP data was received from the client either in response from another clients request or from user activity.
  • Activity - Number of times since the client connected that TCP/IP data was received from the client.
  • IP Address - The IP address the client used to connect to the CineSuite Network Router.

The Active Clients window displays the clients activity in real time. When a clients status changes, the changes are updated immediately on this window.


Registered Clients

When the user selects the 'View Clients/Registered Clients' menu item, the Registered Clients window is displayed. This window shows all clients that have been registered with the CineSuite Network Router.

Registered Clients
  • Index - Database record index. This reflects the absolute number of clients that have registered with the CineSuite Network Router whether deleted or not.
  • Client Name - This is the name give to the client when the client application was set up.
  • Client ID - This is a unique ID generated by the client the first time the program was run. This is an internal number used by the CineSuite products to communicate with each other.
  • Last Log On - The time the client last connected with the CineSuite Network Router.
  • On Line - Displays 'Yes' if currently on line, else displays nothing.

  • Delete - Deletes the selected client from the list of registered clients. This can not damage the database because as soon as the client connects again in the future, the information will again be added to the database. This is to remove any clients they may have been registered with the router during a setup or test phase. It will help to keep the information current and relevant.


Remote Connection Setup

If multiple CineSuite Network Routers are to communicate with each other, they must be connected to a CineSuite Location Server. The 'CineSuite Network Router Settings' window is where the CineSuite Network Router is configured.

CineSuite Network Router Settings
  • Router Name - A recognizable name to call this CineSuite Network Router. Usually the name of the theatre complex.
  • Register with CineSuite Location Server - Check this box if you would like the CineSuite Network Router to try to connect with the CineSuite Location Server. By connecting multiple CineSuite Network Routers to a CineSuite Location Server the user can access CineSuite client applications at a number of different theatre complexes from a single location.
  • Location of CineSuite Location Server - This is the name of the computer for a local network or an Internet domain name for an Internet connection. The IP address can also be entered directly if know for any type of network connection.
  • Location Server Access Name - The access name necessary to connect to the CineSuite Location Server. This access name was determined when the CineSuite Location Server was set up.
  • Location Server Access Password - The access password necessary to connect to the CineSuite Location Server. This access password was determined when the CineSuite Location Server was set up.
  • Reconnect Delay Period - The amount of time the CineSuite Network Router waits before trying to connect to the CineSuite Location Server after the connection has been lost.


Remote User Access Setup

If the logged on user has remote access and the CineSuite Network Router is connected to the CineSuite Location Server then when the user selects the 'Administrator/Edit Users' menu item, the user is presented with the Select Network Router to Access window.

Select Network Router to Access

  • Edit information on this network router - When this item is selected, users will be edited on the CineSuite Network Router the user is currently using. The user will be presented with the User Access Setup window.
  • Edit information on another network router - When this item is selected, the current user will be able to choose from all the CineSuite Network Routers currently connected to the CineSuite Location Server. When the Accept button is clicked, the current user will be logged onto the remote network router using their current log on name and log on password. If the current user cannot log onto the remote network router with their log on name and log on password, they will be presented with a User Log On window where they will be able to try to log onto the remote router using a different log on name and log on password. In order to log onto the remote router, the access rights for the user to be logged onto the remote router must be full remote access otherwise access will be denied.


User Access Settings

The 'User Access Settings' window is displayed when adding new users or changing user access rights. This window is used to assign a user name and password and to give access rights to the user.

User Access Settings data

  • Log In Name - The users log on name to be entered when logging onto all CineSuite client applications. The log on name is case sensitive so the user will have to enter th log on name exactly as entered here.

  • Log In Password - The users log on password to be entered when logging onto all CineSuite client applications. This password can be changed by the user if that access right is granted to the user

  • User has complete local access - If this box is checked, the user has access to all functions of all CineSuite clients currently registered with the CineSuite Network Router and access to all CineSuite clients that register in the future.

  • User has complete remote access - If this box is check, the user has complete local access as described above and access to all functions of all CineSuite clients registered with all CineSuite Network Routers connected through the CineSuite Location Server.

  • Available Items - If a user is not granted complete local or remote access, the user can be granted specific access rights by selecting from the items listed.

Setting Specific Access Rights

A user cannot have more access rights than their parent user so the ‘Available Items' box will only show the user access rights that the parent user has available. If the users parent does not have anything assigned to them, the user will not show any available access items. This includes the 'remote access' and 'local access' check boxes. This also means that if a users access rights are changed and some access rights are removed, all children under that parent will also lose those rights.

Access rights can be granted at four different levels.

  • The user can have access to all functions of all instances of a specific type of CineSuite client. This would include any instances of the client that are added in the future. This is done by selecting on the '*** All xxx ***' item.Example

  • The user can have access to certain functions of all instances of a specific type of CineSuite client. This would include any instances of the client that are added in the future. This is done by selecting the individual child items of the '*** All xxx ***' item.Example

  • The user can have access to all functions of a specific instance of a CineSuite client. This is done by selecting the specific CineSuite client.Example

  • The user can have access to certain functions of a specific instance of a CineSuite client. This is done by selecting the individual child items of the specific CineSuite client.Example

Below is a short list of the available access rights for the three main CineSuite applications.

Network Router

  • Add/Remove/Edit Users - Enables the ‘Edit Users' menu item. Allows the user to access the current screen and edit users
  • Change Own Password - If not selected, user cannot change password. Password must be changed by accessing the current screen.
  • Manage Database - Enables the ‘Select Database' and ‘Compact Database' menu items.
  • View Client Connections - Enables the ‘View Clients' menu items.
  • View Log Records - Enables the ‘Log' menu items.
CineSuite
  • Log On Access - Allows the user to log onto the CineSuite Manager application. Logging on does not give access to other applications that the CineSuite Manager communicates with unless the user is also granted access to those applications.
CineNet Driver
  • Allow User To Log On - Allows the user to log onto the CineNet Driver applications. The user will the be able to access and change the event log database settings.
    The following items give access to the CineNet Driver but the user actually accesses these items through other CineSuite applications such as the CineSuite Manager application.
  • Edit Event Log Records - Allows the user to add notes to event logs.
  • Edit Operator ID's - Allows the user to Add/Edit operator ID's used for the event logs.
  • Edit Super, Progs, Show Schedules - Allows the user to make changes to the CNA data.
  • Upgrade Device Flash - Allows remote CNA Flash programming
  • View Event Log Records - Allows the user to view the event log records but the user cannot change the information unless the ‘Edit Event Log Records' is selected.
  • View LIN Status - Allows the user to view the CNA LIN status.
  • View LSN Network Info - Allows the user to view the CNA LSN network info. This should probably be enabled if any other item is enabled because most applications first request the LSN info to give the user a list of items to choose from for the other files.
  • View Remote Status - Allows the user view the remote status information.
  • View Super, Progs, Show Schedules - Allows the user to view the CNA data but the user cannot save changes back to the automations unless the ‘Edit Super, Progs, Show Schedules' is selected.


User Access Setup

To add or edit users, select the 'Administrator/Edit Users' menu item. The 'User Access Setup' window will appear. On the 'User Access Setup' window, user can be added or deleted and the user status can be changed. Users can also be edited on remote CineSuite Network Routers if the local CineSuite Network Router is connected to the CineSuite Location Server and the current user has full remote access.

The root user will be the name of the logged on user (for the above illustration, this is the 'admin' user). Users are then added in a 'tree' structure. This allows users to access settings for users that are employed under them without them having the ability to access other users.

User Access Setup Buttons

  • Add New - Displays the 'User Access Settings' window. The new user is given an access name and password and CineSuite client access rights are granted.

  • Remove - Removes the currently selected user. (Users with other users employed under them cannot be removed until all users under them are removed.)

  • Disable/Enable - Enables and disables the currently selected user. Users that are disabled will not be able to log onto any of the CineSuite client applications. Disabling a user allows management to deny access to an employee without having to remove the employee and lose all the settings for the employee. This user can then be enabled later when the user access is applied to a new employee.

  • Change - Displays the 'User Access Settings' window with the currently selected users settings. A user cannot change their own settings. The only setting a user can change for themselves is their password (if 'Change Password' access is granted to that user) which is done by selecting the 'Users/Change Password' menu item on the main window.

New users can now be added either under ‘admin' or under the new user. Click on the ‘Add New' button with the new user name selected. The ‘User Access Settings' dialog box will appear and the ‘Available Items' box will show only those items that the new user was granted access to.

Enter a ‘Log In Name' and ‘Log In Password' and grant some access rights to the new user. Click on the ‘Accept' button. The ‘User Access Setup' dialog box will now show a little plus sign next to the first new users name. Click on the plug sign to expand the node. The second new user was added under the first new user.

Each user can have as many users under them as desired and the chain can continue on indefinitely. This is useful for managers that want to grant access to lower managers and have these lower managers control the access of their employees.

Also notice that when the first new user is selected the ‘Remove' button is disabled. A user cannot be removed that has users under them. In order to prevent a user from gaining access without having to remove the user, click on the ‘Disable' button. All users under the disabled user will continue to have access but the disabled user will be denied access. All access settings for the disabled user remain unchanged. This is useful if a lower manager leaves the company and their access to the system is to be denied. When a new manager in hired, the user access name and password can be changed to the new manager and all the access rights for the new manager remain the same as the old manager and all users access under the new manager remain unchanged.

It is important to note that if access rights are changed by removing an access item for a user that has users under them, the access rights for the users under them for those items are also removed.

In order to remove a user, all users under the user must first be removed. A user can be enabled or disabled or the users access rights can be changed at any time. Any changes made do not affect the user until the user logs off and then logs onto an application.


User Log On

When the user selects the 'User/Log On' menu item, the User Log On window is displayed. The user must then enter a user name and password.

The user name and password are case sensitive. They must be entered exactly the same as when the user was set up or when a new password was entered.

When a user name and password has been entered, the Accept button will be enabled. When the Accept button is clicked, the CineSuite Network Router will try to log on the user. If the log on fails, an Access Denied message box will be displayed. The User Log On window will be displayed again and the user can again try to log on.


User Access Example

This example will demonstrate how to set up a few users with limited access. It will also show how child user access is affected by parent user access.

The following illustration is the 'User Access Setup' screen. Is shows a number of users already added to the tree structure. This example will concentrate on Tom, Kelly and Quinton at the bottom of the tree.

We will start by adding the user Tom. This is done by selecting the user admin and clicking on the 'Add New' button. This will bring up the 'User Access Settings' window. We will give the user Tom the password 31415 and set his access rights to 'User has complete local access' and click on the 'Accept' button.

We will then add the user Kelly. This is done by selecting the user Tom and clicking on the 'Add New' button. This again will bring up the 'User Access Settings' window. This time the 'User has complete remote access' check box is disabled. This is because Kelly's parent user Tom was NOT give complete remote access. We will give Kelly access to all CineSuite Manager applications registered on this router by selecting the '*** All CineSuite ***' We also want to give Kelly limited access to the CineSuite Network Router. We do this be selecting only the three items she will be able to access. We then click on the 'Accept' button to save the settings.

Finally we will add the user Quinton. This is done by selecting the user Kelly and clicking on the 'Add New' button. This again will bring up the 'User Access Settings' window. This time neither of the check boxes are enabled. This is because Quinton's parent user Kelly does not have either of these access rights. Also, the items listed in the 'Available Items' list is different. Only those items Kelly has access to are available for Quinton. We will give Quinton only 'Log On Access' for only the 'EPRAD Debug CineSuite' CineSuite Manager. Note that both items under the CineSuite Network Router(s) are locked because Quinton's parent user Kelly only has limited access. Quinton cannot be granted full access to either of those items because his parent user does not have full access. Quinton can be given access rights to any of the three items available from Kelly's access.

It is also important to note that because Kelly was give the 'Add/Remove/Edit Users' access rights for the CineSuite Network Routers, she can change Quinton's access rights, log on name and log on password. Tom and admin can obviously do that also because they have full local access.

Because Quinton cannot have access to items that Kelly does not have access to, removing access rights from Kelly will also remove those access rights from Quinton. Ex: If Kelly were to have the access rights for the CineSuite(s) removed, Quinton will also loose access to that CineSuite client.